Bug 1738203 - clusteroperator/operator-lifecycle-manager-catalog does not define any related resources
Summary: clusteroperator/operator-lifecycle-manager-catalog does not define any relate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.1.z
Assignee: Vu Dinh
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1717638 1753202
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:52 UTC by Evan Cordell
Modified: 2019-09-25 07:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1717638
Environment:
Last Closed: 2019-09-25 07:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1004 None None None 2019-09-09 16:54:01 UTC
Red Hat Product Errata RHBA-2019:2820 None None None 2019-09-25 07:28:02 UTC

Comment 1 Evan Cordell 2019-08-07 12:55:35 UTC
https://github.com/operator-framework/operator-lifecycle-manager/pull/979 cherry-pick is here, but we need 1717638  to be verified first.

Comment 3 Jeff Peeler 2019-08-27 21:33:49 UTC
I believe the 979 PR has been improperly attributed to this bug. The 4.1 fix for this bug never was made.

Comment 7 Bruno Andrade 2019-09-14 02:22:16 UTC
Current the latest payload is 4.1.0-0.nightly-2019-09-13-212451, which the fixed PR hasn't merged in.

oc adm release info registry.svc.ci.openshift.org/ocp/release:4.1.0-0.nightly-2019-09-13-212451 --commits | grep operator-lifecycle-manager
  operator-lifecycle-manager                    https://github.com/operator-framework/operator-lifecycle-manager           616650ea46ec9c741d6ad9b306b556520f6975e1

Change status to MODIFIED.

Comment 10 Bruno Andrade 2019-09-18 19:20:42 UTC
LGTM, marking as VERIFIED.

OLM Cluster Operators have the related resources defined as expected

Cluster Version: 4.1.0-0.nightly-2019-09-18-141128
OLM version: 0.9.0
git commit: 51dcee9


Steps used to verify:

oc get co  operator-lifecycle-manager -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2019-09-18T15:27:21Z"
  generation: 1
  name: operator-lifecycle-manager
  resourceVersion: "10369"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  uid: cf1de31b-da28-11e9-919f-02e1c3a93ea8
spec: {}
status:
  conditions:
  - lastTransitionTime: "2019-09-18T15:27:22Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2019-09-18T15:32:27Z"
    message: Deployed 0.9.0
    status: "False"
    type: Progressing
  - lastTransitionTime: "2019-09-18T15:27:22Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2019-09-18T15:27:22Z"
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: operators.coreos.com
    name: packageserver.v0.9.0
    namespace: openshift-operator-lifecycle-manager
    resource: ClusterServiceVersion
  - group: ""
    name: openshift-operator-lifecycle-manager
    resource: namespaces
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-09-18-141128
  - name: operator-lifecycle-manager
    version: 0.9.0


oc get co operator-lifecycle-manager-catalog -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2019-09-18T15:27:21Z"
  generation: 1
  name: operator-lifecycle-manager-catalog
  resourceVersion: "10371"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager-catalog
  uid: cf1a666f-da28-11e9-919f-02e1c3a93ea8
spec: {}
status:
  conditions:
  - lastTransitionTime: "2019-09-18T15:27:21Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2019-09-18T15:32:27Z"
    message: Deployed 0.9.0
    status: "False"
    type: Progressing
  - lastTransitionTime: "2019-09-18T15:27:21Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2019-09-18T15:27:21Z"
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: operators.coreos.com
    name: packageserver
    namespace: openshift-operator-lifecycle-manager
    resource: Subscription
  - group: operators.coreos.com
    name: install-thnj4
    namespace: openshift-operator-lifecycle-manager
    resource: InstallPlan
  - group: ""
    name: openshift-operator-lifecycle-manager
    resource: namespaces
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-09-18-141128
  - name: operator-lifecycle-manager
    version: 0.9.0

Comment 12 errata-xmlrpc 2019-09-25 07:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2820


Note You need to log in before you can comment on or make changes to this bug.